PETSc version 3.15.5
Fix/Edit manual page

# PetscArraycpy

Copies from one array in memory to another

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscArraycpy(anytype *str1,const anytype *str2,size_t cnt)

Not Collective

### Input Parameters

| str1 | - First array (destination)
| str2 | - Second array (source)
| cnt | - Count of the array, not in bytes, but number of entries in the arrays

### Note

This routine is a preferred replacement to PetscMemcpy() The arrays must be of the same type

### See Also

PetscMemcpy(), PetscMemcmp(), PetscArrayzero(), PetscMemzero(), PetscArraymove(), PetscMemmove(), PetscArraycmp(), PetscStrallocpy()

### Level

intermediate

### Location

include/petscsys.h

### Examples

src/ksp/ksp/tutorials/ex56.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex28.c.html
src/ts/tutorials/ex9.c.html
src/ts/tutorials/ex11.c.html
src/ts/tutorials/extchem.c.html
src/ts/tutorials/extchemfield.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages